%define anolis_release 1

Name:           linglong-installer
Version:        1.3.3.8
Release:        %{anolis_release}%{?dist}
Summary:        Linglong package installer for web store
License:        LGPLv3
URL:            https://github.com/OpenAtom-Linyaps/linyaps-web-store-installer
Source0:        %{url}/archive/%{version}/linyaps-web-store-installer-%{version}.tar.gz

BuildRequires:  cmake gcc-c++
BuildRequires:  qt5-qtbase-devel 
Requires:       xdg-utils

%description
This package is a tool for installing package from web store.

%prep
%autosetup -p1 -n linglong-web-store-installer-%{version}

%define _debugsource_template %{nil}

%build
export PATH=%{_qt5_bindir}:$PATH
mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
      -DLIB_INSTALL_DIR:PATH=%{_libdir} \
      -DCMAKE_BUILD_TYPE=Release \
      -DSHARE_INSTALL_PREFIX:PATH=%{_datadir} ..
%make_build

%install
cd build
%make_install INSTALL_ROOT=%{buildroot}

%post -n linglong-installer
xdg-mime default space.linglong.Installer.desktop x-scheme-handler/og

%files
%doc README.md
%license LICENSE
%{_prefix}/src/*
%{_bindir}/ll-installer
%{_datadir}/applications/*.desktop

%changelog
* Thu Apr 25 2024 chenhuixing <chenhuixing@deepin.org> - 1.3.3.8-1
- Init project
